# eric6.Helpviewer.GreaseMonkey.GreaseMonkeyConfiguration.GreaseMonkeyConfigurationListDelegate

Module implementing a delegate for the special list widget for GreaseMonkey scripts.

### Global Attributes

None

### Classes

GreaseMonkeyConfigurationListDelegate | Class implementing a delegate for the special list widget for GreaseMonkey scripts.

### Functions

None

## GreaseMonkeyConfigurationListDelegate

Class implementing a delegate for the special list widget for GreaseMonkey scripts.

### Derived from

QStyledItemDelegate

### Class Attributes

CheckBoxSize
IconSize
ItemWidth
MinPadding
RemoveIconSize

### Class Methods

None

### Methods

GreaseMonkeyConfigurationListDelegate | Constructor
padding | Public method to get the padding used.
paint | Public method to paint the specified list item.
sizeHint | Public method to get a size hint for the specified list item.

### Static Methods

None

#### GreaseMonkeyConfigurationListDelegate (Constructor)

GreaseMonkeyConfigurationListDelegate(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### GreaseMonkeyConfigurationListDelegate.padding

padding()

Public method to get the padding used.

Returns:
  padding used (integer)

#### GreaseMonkeyConfigurationListDelegate.paint

paint(painter, option, index)

Public method to paint the specified list item.

painter
  painter object to paint to (QPainter)
option
  style option used for painting (QStyleOptionViewItem)
index
  model index of the item (QModelIndex)

#### GreaseMonkeyConfigurationListDelegate.sizeHint

sizeHint(option, index)

Public method to get a size hint for the specified list item.

option
  style option used for painting (QStyleOptionViewItem)
index
  model index of the item (QModelIndex)

Returns:
  size hint (QSize)

Up